Bug 18051 - Падает временами
Summary: Падает временами
Status: CLOSED WONTFIX
Alias: None
Product: Sisyphus
Classification: Development
Component: rtorrent (show other bugs)
Version: unstable
Hardware: all Linux
: P2 major
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-30 17:44 MSK by Evgenii Terechkov
Modified: 2012-12-23 11:27 MSK (History)
1 user (show)

See Also:


Attachments
rtorrent crash log (765 bytes, text/plain)
2008-11-30 17:44 MSK, Evgenii Terechkov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Evgenii Terechkov 2008-11-30 17:44:16 MSK
Created attachment 3107 [details]
rtorrent crash log

Падает временами. Например как во вложений. Момент падения не засекаю от чего именно зависит.

evg@evg ~ $ R -qa G 'torrent|glibc-[0-9]'
rtorrent-0.8.3-alt1
libtorrent0.12-0.12.3-alt2
glibc-2.9-alt1

(не уверен, возможно, нужно перевесить на другой компонент)
Comment 1 swi 2008-11-30 23:31:35 MSK
в сизифе 0.8.4.
Попробуй его.
Comment 2 Evgenii Terechkov 2008-12-01 16:31:48 MSK
Через месяцок скажу :-)
Comment 3 Evgenii Terechkov 2008-12-01 16:59:28 MSK
Ан нет, не прошло и часа:

(20:57:51) Scheduled command failed: ratio: Command "stop_on_ratio" does not exist.

Куда дели? Теперь раздача не останавливается.
Comment 4 Evgenii Terechkov 2008-12-03 04:41:02 MSK
Действительно, в 0.8.4 изменили формат конфига. Переехал.

Но падает всё равно. Опять словил на 100%-ах хэширования раздачи:
==================================================================================
rtorrent: TrackerManager::send_later() m_control->set() == DownloadInfo::STOPPED.6/6] [D 0/6] [H 0/32] [S 1/14/768] [F 128/128]
[1]    21493 exit 255   ionice -c3 rtorrent
==================================================================================
(последняя строчка, понятно, от zsh).
Comment 5 Evgenii Terechkov 2009-01-26 16:54:21 MSK
Месяцок вроде не падало, ну и ладушки.
Comment 6 Evgenii Terechkov 2010-01-18 15:34:21 MSK
Нет, всё таки стабильно падает именно с такой диагностикой:

====================================================================
rtorrent: TrackerManager::send_later() m_control->set() == DownloadInfo::STOPPED.2/18] [D 0/18] [H 0/32] [S 1/5/768] [F 71/128]
[1]    25401 exit 255   ionice -c3 rtorrent
Ѓ�адание "ionice -c3 rtorrent" зану�ло 11:30:08,89
evg@evg ~ $ionice -c3 rtorrent
====================================================================

Упало уже два раза за сутки. Воспроизводится просто: начинаешь закачку, потом место на диске под неё заканчивается (schedule = low_diskspace,5,60,close_low_diskspace=200M), статус становится [CLOSED]. Освобождаешь место (опционально, вчера вечером освободил, оказалось мало, сегодня не стал ради интереса, поджал лимит до 100M) и нажимаешь  ^R для перехеширования (^S для Start download почему-то ничего не делает, по крайней мере на глаз), хэширование доходит до 100% и программа падает с таким выводом. Раздач всего две, скачивается одна, обе небольшие. Машина вроде не особо загружена.

evg@evg ~ $rpm -qa|grep torrent
libtorrent0.12-0.12.6-alt1
rtorrent-0.8.6-alt1
Comment 7 Evgenii Terechkov 2012-12-23 11:27:41 MSK
Неактуально.